Get a Segment
curl --request GET \
--url https://api.virtuoussoftware.com/api/Segment/{segmentId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Segment/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Segment/{segmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Segment/{segmentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Segment/{segmentId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5100,
"contactQueryId": 77,
"receiptSegmentId": 88,
"name": "Spring Appeal 2025 — Direct Mail",
"description": "Lapsed and mid-level donors targeted in the Spring Appeal direct-mail drop.",
"code": "SP-2025-DM",
"communicationId": 4400,
"communicationName": "Spring Appeal 2025 — Direct Mail",
"campaignId": 2010,
"campaignName": "Spring Appeal 2025",
"segmentOrganizerId": 5001
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Segments
Get a Segment
GET
/
api
/
Segment
/
{segmentId}
Get a Segment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The segment identifier.
Response
OK
The saved contact query used by this segment.
The segment used for receipting.
The unique identifier of the record in Virtuous.
The display name of the record.
The free-text description stored on the record.
Last modified on April 23, 2026
Was this page helpful?